Ask coding questions

← Back to all posts
Gemfile
JulianWeidner (2)

I'm trying to use sqlite3 inside of my little console application, and I cannot get sqlite3 to install successfully. I create my gemfile named "Gemfile"
I add in

source 'https://rubygems.org'

gem 'sqlite3'

Click run, and receive

An error occurred while installing sqlite3 (1.4.0), and Bundler cannot continue.
Make sure that `gem install sqlite3 -v '1.4.0' --source 'https://rubygems.org/'`
succeeds before bundling.

In Gemfile:
  sqlite3


Repl.it: package installation failure

Could not find gem 'sqlite3' in any of the gem sources listed in your Gemfile.

yet it works for the rails template. I'm a little lost in why it isn't working :(

Comments
hotnewtop
Zavexeon (1158)

Unfortunately, sqlite3 is not supported on anything but the rails repl. You cannot manually install it to non-rails repls.